Bug 72190 - PRINTING: Printing of a selection changes paper format
Summary: PRINTING: Printing of a selection changes paper format
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-01 05:01 UTC by Martin Senftleben
Modified: 2015-02-11 19:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
file-printer-options(tab) in German (14.55 KB, image/png)
2013-12-01 17:16 UTC, Martin Senftleben
Details
LO papersize when printing the whole document (156.38 KB, image/png)
2013-12-01 22:19 UTC, Martin Senftleben
Details
LO papersize when printing a selection of the document (114.56 KB, image/png)
2013-12-01 22:21 UTC, Martin Senftleben
Details
A testing document in A5 size (8.65 KB, application/vnd.oasis.opendocument.text)
2013-12-01 22:26 UTC, Martin Senftleben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Senftleben 2013-12-01 05:01:36 UTC
Problem description: 

When I want to print a selection of a text document, the paper size is always set to A4, even when I change the paper format to A5 (on which I intend to print the selection).

Steps to reproduce:
1. select a portion of a text in an A5 format document
2. chose to print - select the wanted printout paper size (I set several printers for various paper formats, so I chose simply A5-Print, where the paper size A5 should be set and the appropriate tray of my printer is selected)
3. chose "selection"

Current behavior:

In the preview on the left, the paper size has changed to A4 (while it was before set to A5). 
Checking the printer settings, A4 is selected. Changing it to A5 doesn't change the paper size in the preview and in the actual printout. This happens on every document where I want to print a selection on a different paper format.

Expected behavior:

The preview and the actual printout remains in A5-format
              
Operating System: Ubuntu
Version: 4.1.2.3 release
Comment 1 m.a.riosv 2013-12-01 11:21:01 UTC
Hi Martin, thanks for reporting.

Please verify if the next option can change something:
Menu/File/Print/Options[tab] - Use Only paper size from printer preferences
Comment 2 Martin Senftleben 2013-12-01 17:16:59 UTC
Created attachment 90057 [details]
file-printer-options(tab) in German

I changed the selection several times, once the upper, once the lower and once both, no effect.
Comment 3 Martin Senftleben 2013-12-01 17:18:25 UTC
I added an attachment which shows the dialog. I have no option "Use Only paper size from printer preferences", but "Use Only paper tray from printer preferences", and this one twice. But it has no effect, whichever I choose.
Comment 4 m.a.riosv 2013-12-01 21:33:08 UTC
Please Martin, can you attach a sample file where to verify the issue. I can't reproduce the issue in Win7 LibreOffice 4.1.4,
Comment 5 Martin Senftleben 2013-12-01 22:19:59 UTC
Created attachment 90065 [details]
LO papersize when printing the whole document

This is a screenshot of the dialog (in German) and part of the document with a selection of text. The printing is set to print the whole document.
See the paper dimensions on the preview to the left of the dialog-box.
Comment 6 Martin Senftleben 2013-12-01 22:21:08 UTC
Created attachment 90066 [details]
LO papersize when printing a selection of the document

This is a screenshot of the dialog (in German) and part of the document with a selection of text. The printing is set to print a selection of the document.
See the paper dimensions on the preview to the left of the dialog-box.
Comment 7 m.a.riosv 2013-12-01 22:24:36 UTC
Hi Martin, screenshot does not help to verify the issue, please attach a writer file where see the issue, with the minimum needed.
Comment 8 Martin Senftleben 2013-12-01 22:26:31 UTC
Created attachment 90068 [details]
A testing document in A5 size

This is one document in A5 size. I think it depends also on the printer drivers installed. Windows works most likely differently from CUPS. I have individual driver-installations for different paper formats and types, but it's all the same printer. I didn't have this problem with previous versions of LO, and the printer driver hasn't changed since then.
The screenshots show probably the problem.
Comment 9 Martin Senftleben 2013-12-01 22:30:03 UTC
(In reply to comment #7)
> Hi Martin, screenshot does not help to verify the issue, please attach a
> writer file where see the issue, with the minimum needed.

Well, it's not the document in itself, it's just the papersize. I'm pretty sure that Windows handles printers differently, hence sending you an A5-document (which you could create yourself easily) doesn't really help, I guess, or does it?
Comment 10 m.a.riosv 2013-12-01 23:17:31 UTC
Paper size is part of the document page style.

And I can't reproduce the issue with your document in:
LibreOffice 4.1.1 Win7x64
LibreOffice 4.0 in Opensuse 12.2


Please try resetting the user profile, sometimes solves strange issues.

https://wiki.documentfoundation.org/UserProfile
Comment 11 Martin Senftleben 2013-12-02 05:43:08 UTC
Well, the issue didn't appear in 4.0 or 4.1.1, but only in 4.1.2.3. Resetting the profile is something I can only do temporarily, because I have too many things set there which would be difficult to redo after clearing all the settings. I'll try when I have time. Maybe it is related to some change in Kubuntu 13.10, but that I can't verify.
Comment 12 Regina Henschel 2013-12-02 18:07:43 UTC
It sounds as if it is the same kind of problem as bug 67576 (and a lot of others). I have nominated bug 67576 already for "Bug 65675 - (mab4.2) LibreOffice 4.2 most annoying bugs". I suggest to set this as duplicate of bug 67576, so that it is tested, when that bug is fixed.
Comment 13 Martin Senftleben 2013-12-02 18:43:42 UTC
(In reply to comment #12)
> It sounds as if it is the same kind of problem as bug 67576 (and a lot of
> others). I have nominated bug 67576 already for "Bug 65675 - (mab4.2)
> LibreOffice 4.2 most annoying bugs". I suggest to set this as duplicate of
> bug 67576, so that it is tested, when that bug is fixed.

From the descriptions there I'd rather not agree. This one is solely related to printing a selection of the text in the document. Else printing works just fine. Only when I want to print a selected part of the document, LO ignores the paper size setting.
Comment 14 QA Administrators 2014-07-08 17:29:16 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 15 Martin Senftleben 2014-07-09 04:17:36 UTC
I've tried it now with a reset user-profile, no change. 
The bug remains unchanged in Version: 4.2.4.2, Build ID: 420m0(Build:2). 
I've switched in the meantime back to OpenOffice, as I don't face this problem there. It's quite annoying, as I often use A5-format paper and quite often want to print only selections on that paper size. It's not possible due to this automatic paper size change.
Comment 16 raal 2014-12-23 18:33:32 UTC
I can not confirm with version 4.3.3 and  Version: 4.5.0.0.alpha0+
Build ID: 2116f1cfb31e5fcf829c2f101cd878a32b56c365
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-19_05:59:03
I have not any options in printer dialog ticked.
Comment 17 Robinson Tryon (qubit) 2015-01-03 16:39:56 UTC
(In reply to Martin Senftleben from comment #15)
> I've tried it now with a reset user-profile, no change. 
> The bug remains unchanged in Version: 4.2.4.2, Build ID: 420m0(Build:2). 

4.2 is now EOL.

Martin: Is the bug still present in 4.3.5.2 or later?
https://www.libreoffice.org/download/

(If the bug is fixed, set status -> RESOLVED WORKSFORME; otherwise, set status -> UNCONFIRMED)


Status -> NEEDINFO
Comment 18 QA Administrators 2015-02-11 19:57:54 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11